OpenNMS API 1.2.9

## org.opennms.netmgt.capsd
Class LdapPlugin

    java.lang.Object
      org.opennms.netmgt.capsd.AbstractPlugin
          org.opennms.netmgt.capsd.LdapPlugin

All Implemented Interfaces:
  Plugin

public final class LdapPlugin
extends AbstractPlugin

This class is designed to be used by the capabilities daemon to test for the existance of an LDAP server on remote interfaces. The class implements the Plugin interface that allows it to be used along with other plugins by the daemon.

Version:
  1.1.1.1
Author:
  Jason Johns , Brian Weaver , OpenNMS

Nested Class Summary
`private class` `LdapPlugin.TimeoutLDAPSocket` A class to add a timeout to the socket that the LDAP code uses to access an LDAP server

Field Summary
`private static int[]` `DEFAULT_PORTS` The default ports on which the host is checked to see if it supports LDAP.
`private static int` `DEFAULT_RETRY` Default number of retries for HTTP requests.
`private static int` `DEFAULT_TIMEOUT` Default timeout (in milliseconds) for HTTP requests.
`private static java.lang.String` `PROTOCOL_NAME`

Constructor Summary
`LdapPlugin()`

Method Summary
`java.lang.String` `getProtocolName()` Returns the name of the protocol that this plugin checks on the target system for support.
`boolean` `isProtocolSupported(java.net.InetAddress address)` Returns true if the protocol defined by this plugin is supported.
`boolean` `isProtocolSupported(java.net.InetAddress address, java.util.Map qualifiers)` Returns true if the protocol defined by this plugin is supported.
`private boolean` `isServer(java.net.InetAddress host, int port, int retries, int timeout)` Test to see if the passed host-port pair is the endpoint for an LDAP server.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROTOCOL_NAME

    private static final java.lang.String PROTOCOL_NAME

See Also:
  Constant Field Values

### DEFAULT_PORTS

    private static final int[] DEFAULT_PORTS

  The default ports on which the host is checked to see if it supports LDAP.

### DEFAULT_RETRY

    private static final int DEFAULT_RETRY

  Default number of retries for HTTP requests.

  See Also:
    Constant Field Values

### DEFAULT_TIMEOUT

    private static final int DEFAULT_TIMEOUT

  Default timeout (in milliseconds) for HTTP requests.

  See Also:
    Constant Field Values

Constructor Detail

### LdapPlugin

    public LdapPlugin()

Method Detail

### isServer

    private boolean isServer(java.net.InetAddress host,
                             int port,
                             int retries,
                             int timeout)

  Test to see if the passed host-port pair is the endpoint for an LDAP server. If there is an LDAP server at that destination then a value of true is returned from the method. Otherwise a false value is returned to the caller.

  Parameters:
    `host` - The remote host to connect to.
    `port` - The remote port to connect to.
  Returns:
    True if server supports HTTP on the specified port, false otherwise

### getProtocolName

    public java.lang.String getProtocolName()

  Returns the name of the protocol that this plugin checks on the target system for support.

  Specified by:
    `getProtocolName` in interface `Plugin`
  Specified by:
    `getProtocolName` in class `AbstractPlugin`
  Returns:
    The protocol name for this plugin.

### isProtocolSupported

    public boolean isProtocolSupported(java.net.InetAddress address)

  Returns true if the protocol defined by this plugin is supported. If the protocol is not supported then a false value is returned to the caller.

  Specified by:
    `isProtocolSupported` in interface `Plugin`
  Specified by:
    `isProtocolSupported` in class `AbstractPlugin`
  Parameters:
    `address` - The address to check for support.
  Returns:
    True if the protocol is supported by the address.

### isProtocolSupported

    public boolean isProtocolSupported(java.net.InetAddress address,
                                       java.util.Map qualifiers)

  Returns true if the protocol defined by this plugin is supported. If the protocol is not supported then a false value is returned to the caller. The qualifier map passed to the method is used by the plugin to return additional information by key-name. These key-value pairs can be added to service events if needed.

  Specified by:
    `isProtocolSupported` in interface `Plugin`
  Specified by:
    `isProtocolSupported` in class `AbstractPlugin`
  Parameters:
    `address` - The address to check for support.
    `qualifiers` - The map where qualification are set by the plugin.
  Returns:
    True if the protocol is supported by the address.

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.